/**
 * debugMode
 * 配置debug模式，正式发布时需要关闭debug模式（修改为false）
 */
var debugMode = false;
/**
 * serverUrl
 * 配置服务器地址
 * @type {string}
 */
// var serverUrl = "http://" + $api.getStorage('ip') + ":" + $api.getStorage('port') + "/zytech";//'http://10.60.1.27:8080';  zytech7  zenyu
// var ConstUrl = "http://14.29.66.34:8088";
var ConstUrl = "http://14.29.66.34:8088";
var serverUrl = $api.getStorage('url') ? $api.getStorage('url') : ConstUrl;

/**
 * APIs
 * 所有的接口配置
 */
var APIs = {
    login: {
        name: 'login',
        description: '用户登录',
        url: serverUrl + '/chanpin/jichu/yonghu/denglu.action',
        requestParam: {
            "username": "",
            "password": "",
            "clientType": "1"
        }
    },
    editPwd: {
        name: 'editPwd',
        description: '修改密码',
        url: serverUrl + '/chanpin/yewu/kehu/kehujibenxinxi/xiugaimima.action',
        requestParam: {
            "yonghuId": "",         // yonghuId:用户ID
            "mima": "",             // mima：新密码
            "clientType": "1"       // clientType：1 代表App端
        }
    },
    getCategory: {
        name: 'getCategory',
        description: '获取商品分类',
        url: serverUrl + '/chanpin/phone/shangpinfenlei/list.action',
        requestParam: {}
    },
    getExtraInfo: {
        name: 'getExtraInfo',
        description: '获取额外信息',
        url: serverUrl + '/chanpin/phone/dealers/showMyInformation.action',
        requestParam: {
            ID: ""
        }
    },
    getCustomerInfo: {
        name: 'getCustomerInfo',
        description: '获取客户信息',
        url: serverUrl + '/chanpin/phone/dealers/showCustomerInfo.action',
        requestParam: {
            dealersId: ""
        }
    },
    getMyInfo: {
        name: 'getMyInfo',
        description: '获取个人信息',
        url: serverUrl + '/chanpin/phone/dealers/shwoLoginUser.action',
        requestParam: {
            ID: ""
        }
    },
    editMyInfo: {
        name: 'editMyInfo',
        description: '修改个人信息',
        url: serverUrl + '/chanpin/phone/dealers/updateLoginUser.action',
        requestParam: {
            "lianxirenVo.smingcheng": "",     // :姓名
            "lianxirenVo.sbumen": "",         // ：部门
            "lianxirenVo.szhiwei": "",        // ：职位
            "lianxirenVo.sshouji": "",        //：手机号
            "lianxirenVo.sgudingdianhua": "", // ：固定电话
            "lianxirenVo.syouxiang": "",      // ：电子邮箱
            "lianxirenVo.sqqhao": ""          // ：手机号
        }
    },
    getBalanceList: {
        name: 'getBalanceList',
        description: '获取资金账户列表',
        url: serverUrl + '/chanpin/yewu/kehu/kehujibenxinxi/getZhanghu.action',
        requestParam: {
            thisId: "",
            clientType: "1"
        }
    },
    getBalanceThumbnailList: {
        name: 'getBalanceThumbnailList',
        description: '获取资金账户明细列表',
        url: serverUrl + '/chanpin/phone/dealers/getZhanghumingxi.action',
        requestParam: {
            ID: "",
            dealersId: "",
            pageNum: "1",
            pageSize: "20",
            zhuangtai: '' //0000000100020001 未审核， 0000000100020002 已审核， 0000000100020006 审核中， 0000000100020009 驳回
        }
    },
    getBalanceDetail: {
        name: 'getBalanceDetail',
        description: '获取资金账户详情',
        url: serverUrl + '/chanpin/phone/dealers/getMingxiByDanjuId.action',
        requestParam: {
            ID: "",                      // ID：账户单据ID
            tableType: ""                // tableType：数据来源表标识 （接口30返回）
        }
    },
    getCustomerService: {
        name: 'getCustomerService',
        description: '联系客服',
        url: serverUrl + '/chanpin/phone/dealers/getYewuyuanInfo.action',
        requestParam: {
            dealersId: ""                      // dealersId：客户ID
        }
    },
    getContacts: {
        name: 'getContacts',
        description: '获取联系人列表',
        url: serverUrl + '/chanpin/phone/dealers/showContact.action',
        requestParam: {
            dealersId: "",
            pageNum: "1",
            pageSize: "20"
        }
    },
    getContactDetail: {
        name: 'getContactDetail',
        description: '获取联系人详细信息',
        url: serverUrl + '/chanpin/phone/dealers/showContactById.action',
        requestParam: {
            contactId: ""
        }
    },
    toggleContactEnable: {
        name: 'toggleContactEnable',
        description: '获取联系人详细信息',
        url: serverUrl + '/chanpin/yewu/kehu/lianxiren/gaibian.action',
        requestParam: {
            "thisId": "",                    //联系人ID
            "clientType": "1"                 //1 代表App端
        }
    },
    addContact: {
        name: 'addContact',
        description: '新增联系人',
        url: serverUrl + '/chanpin/yewu/kehu/lianxiren/baocun.action',
        requestParam: {
            "lianxirenVo.smingcheng": "",    //：姓名
            "lianxirenVo.sshouji": "",       //：手机号
            "lianxirenVo.sbumen": "",        //：部门
            "lianxirenVo.szhiwei": "",       //：职位
            "lianxirenVo.sgudingdianhua": "",//：固定电话
            "lianxirenVo.syouxiang": "",     //：邮箱
            "lianxirenVo.sqqhao": "",        //：QQ号
            "moren": "",                     //:是否为默认 0000000100040001（默认）0000000100040001（非默认）
            "lianxirenVo.sbeizhu": "",       //：备注信息
            "clientType": "1"
        }
    },
    editContact: {
        name: 'editContact',
        description: '编辑联系人',
        url: serverUrl + '/chanpin/yewu/kehu/lianxiren/baocun.action',
        requestParam: {
            "lianxirenVo.smingcheng": "",    //：姓名
            "lianxirenVo.sshouji": "",       //：手机号
            "lianxirenVo.sbumen": "",        //：部门
            "lianxirenVo.szhiwei": "",       //：职位
            "lianxirenVo.sgudingdianhua": "",//：固定电话
            "lianxirenVo.syouxiang": "",     //：邮箱
            "lianxirenVo.sqqhao": "",        //：QQ号
            "moren": "",                     //:是否为默认 0000000100040001（默认）0000000100040001（非默认）
            "lianxirenVo.sbeizhu": "",       //：备注信息
            "lianxirenVo.sguanlianid": "",   //：客户id(kehuid)
            "lianxirenVo.sid": "",           //：联系人id
            "clientType": "1"
        }
    },
    getAddressList: {
        name: 'getAddressList',
        description: '获取收货地址列表',
        url: serverUrl + '/chanpin/phone/dealers/showShippingAddress.action',
        requestParam: {
            dealersId: "",
            pageNum: "1",
            pageSize: "20"
        }
    },
    getAddressDetail: {
        name: 'getAddressDetail',
        description: '获取收货地址详细信息',
        url: serverUrl + '/chanpin/yewu/kehu/shouhuodizhi/getbyid.action',
        requestParam: {
            ID: ""
        }
    },
    addAddress: {
        name: 'addAddress',
        description: '新增收货地址',
        url: serverUrl + '/chanpin/yewu/kehu/shouhuodizhi/baocun.action',
        requestParam: {
            "clientType": "1",                       //移动端标识
            "shouhuodizhiVo.sguanlianid": "",          //客户id
            "shouhuodizhiVo.sxingming": "",          //姓名"
            "shouhuodizhiVo.sshouji": "",            //：手机号"
            "shouhuodizhiVo.sguojia": "",            //地址国家
            "shouhuodizhiVo.ssheng": "",             //：地址省份"
            "shouhuodizhiVo.sshi": "",               //地址城市
            "shouhuodizhiVo.squ": "",                //:地址区县"
            "shouhuodizhiVo.sxiangxidizhi": "",      //地址详细地址"
            "shouhuodizhiVo.syouzhengbianma": "",    //邮政编码"
            "moren": ""                              //是否默认"
        }
    },
    editAddress: {
        name: 'editAddress',
        description: '修改收货地址',
        url: serverUrl + '/chanpin/yewu/kehu/shouhuodizhi/baocun.action',
        requestParam: {
            "clientType": "1",                       //移动端标识
            "shouhuodizhiVo.sguanlianid": "",        //客户id(kehuid)"
            "shouhuodizhiVo.sid": "",                //收货地址id"
            "shouhuodizhiVo.sxingming": "",          //姓名"
            "shouhuodizhiVo.sshouji": "",            //：手机号"
            "shouhuodizhiVo.sguojia": "",            //地址国家
            "shouhuodizhiVo.ssheng": "",             //：地址省份"
            "shouhuodizhiVo.sshi": "",               //地址城市
            "shouhuodizhiVo.squ": "",                //:地址区县"
            "shouhuodizhiVo.sxiangxidizhi": "",      //地址详细地址"
            "shouhuodizhiVo.syouzhengbianma": "",    //邮政编码"
            "moren": ""                              //是否默认"
        }
    },
    deleteAddress: {
        name: 'deleteAddress',
        description: '删除收货地址',
        url: serverUrl + '/chanpin/yewu/kehu/shouhuodizhi/gaibian.action',
        requestParam: {
            "clientType": "1",                       //移动端标识
            "thisId": ""                             //收货地址ID
        }
    },
    setDefaultAddress: {
        name: 'setDefaultAddress',
        description: '设置默认收货地址',
        url: serverUrl + '/chanpin/yewu/kehu/shouhuodizhi/moren.action',
        requestParam: {
            "clientType": "1",                       //移动端标识
            "thisId": ""                             //收货地址ID
        }
    },
    getAreaList: {
        name: 'getAreaList',
        description: '获取区域（国省市区）',
        url: serverUrl + '/chanpin/jichu/shujuzidian/chaxunzidian.action',
        requestParam: {
            "clientType": "1",                       //移动端标识
            "ccode": ""                              //pid上级ID
        }
    },
    getBankAccountList: {
        name: 'getBankAccountList',
        description: '获取银行账户列表',
        url: serverUrl + '/chanpin/phone/dealers/showAccount.action',
        requestParam: {
            dealersId: "",
            pageNum: "1",
            pageSize: "20"
        }
    },
    getBankAccountDetail: {
        name: 'getBankAccountDetail',
        description: '获取银行账户详细信息',
        url: serverUrl + '/chanpin/phone/dealers/showAccountById.action',
        requestParam: {
            ID: ""
        }
    },
    addBankAccount: {
        name: 'addBankAccount',
        description: '新增银行账户',
        url: serverUrl + '/chanpin/yewu/kehu/yinhangzhanghu/baocun.action',
        requestParam: {
            "yinhangzhanghuVo.sguanlianid": "",          //：客户id(kehuid)
            "yinhangzhanghuVo.syinhangzhanghao": "",     //：银行帐号
            "yinhangzhanghuVo.syinhangmingcheng": "",    //：银行名称
            "yinhangzhanghuVo.sguojia": "",              //：地址国家
            "yinhangzhanghuVo.ssheng": "",               //：地址省份
            "yinhangzhanghuVo.sshi": "",                 //：地址市区
            "yinhangzhanghuVo.squ": "",                  //：地址区县
            "yinhangzhanghuVo.skaihuzhihang": "",        //：开户支行
            "morenzhanghu": "",                          //：是否默认账户
            "clientType": "1"                            //：1 代表App端口
        }
    },
    editBankAccount: {
        name: 'editBankAccount',
        description: '修改银行账户',
        url: serverUrl + '/chanpin/yewu/kehu/yinhangzhanghu/baocun.action',
        requestParam: {
            "yinhangzhanghuVo.sguanlianid": "",          //：客户id(kehuid)
            "yinhangzhanghuVo.sid": "",                  //：银行账户id
            "yinhangzhanghuVo.syinhangzhanghao": "",     //：银行帐号
            "yinhangzhanghuVo.syinhangmingcheng": "",    //：银行名称
            "yinhangzhanghuVo.sguojia": "",              //：地址国家
            "yinhangzhanghuVo.ssheng": "",               //：地址省份
            "yinhangzhanghuVo.sshi": "",                 //：地址市区
            "yinhangzhanghuVo.squ": "",                  //：地址区县
            "yinhangzhanghuVo.skaihuzhihang": "",        //：开户支行
            "morenzhanghu": "",                          //：是否默认账户
            "clientType": "1"                            //：1 代表App端口
        }
    },
    toggleUsingBankAccount: {
        name: 'toggleUsingBankAccount',
        description: '启用禁用银行账户',
        url: serverUrl + '/chanpin/yewu/kehu/yinhangzhanghu/gaibian.action',
        requestParam: {
            "thisId": "",                                //：银行账户id
            "clientType": "1"                            //：1 代表App端口
        }
    },
    getBankList: {
        name: 'getBankList',
        description: '获取银行列表',
        url: serverUrl + '/chanpin/jichu/shujuzidian/chaxunzidian.action',
        requestParam: {
            "ccode": "000000160015",                     //：查询银行名称
            "clientType": "1"                            //：1 代表App端口
        }
    },
    getInvoiceList: {
        name: 'getInvoiceList',
        description: '获取发票列表',
        url: serverUrl + '/chanpin/phone/dealers/showInvoice.action',
        requestParam: {
            dealersId: "",
            pageNum: "1",
            pageSize: "20",
            zhuangtai: '' //0000000100010001：启用 0000000100010002：停用
        }
    },
    getInvoiceDetail: {
        name: 'getInvoiceDetail',
        description: '获取发票详细信息',
        url: serverUrl + '/chanpin/phone/dealers/showInvoiceById.action',
        requestParam: {
            ID: ""
        }
    },
    getInvoiceType: {
        name: 'getInvoiceType',
        description: '获取发票类型列表',
        url: serverUrl + '/chanpin/jichu/shujuzidian/chaxunzidian.action',
        requestParam: {
            "clientType": "1",
            "ccode": "000000160014"
        }
    },
    addInvoice: {
        name: 'addInvoice',
        description: '新增发票详细信息',
        url: serverUrl + '/chanpin/yewu/kehu/fapiaoxinxi/baocun.action',
        requestParam: {
            "fapiaoxinxiVo.sguanlianid": "",     //:客户id(kehuid)
            "fapiaoxinxiVo.sleixing": "",        //：发票类型
            "fapiaoxinxiVo.staitou": "",         //：发票抬头
            "fapiaoxinxiVo.sneirong": "",        //：发票内容
            "fapiaoxinxiVo.sshibiehao": "",      //：发票识别号
            "fapiaoxinxiVo.syingyedianhua": "",  //：营业电话
            "fapiaoxinxiVo.syingyedizhi": "",    //：营业地址
            "fapiaoxinxiVo.syinhangmingcheng": "",//：银行名称
            "fapiaoxinxiVo.syinhangzhanghao": "",//：银行帐号
            "fapiaoxinxiVo.sguojia": "",         //：地址国家
            "fapiaoxinxiVo.ssheng": "",          //：地址省份
            "fapiaoxinxiVo.sshi": "",            //：地址城市
            "fapiaoxinxiVo.squ": "",             //：地址区县
            "fapiaoxinxiVo.skaihuzhihang": "",   //：开户支行
            "moren": "",                         //：是否为默认发票
            "clientType": "1"                    //：1 代表App端口
        }
    },
    editInvoice: {
        name: 'editInvoice',
        description: '修改发票详细信息',
        url: serverUrl + '/chanpin/yewu/kehu/fapiaoxinxi/baocun.action',
        requestParam: {
            "fapiaoxinxiVo.sguanlianid": "",     //:客户id(kehuid)
            "fapiaoxinxiVo.sid": "",             //：发票id
            "fapiaoxinxiVo.sleixing": "",        //：发票类型
            "fapiaoxinxiVo.staitou": "",         //：发票抬头
            "fapiaoxinxiVo.sneirong": "",        //：发票内容
            "fapiaoxinxiVo.sshibiehao": "",      //：发票识别号
            "fapiaoxinxiVo.syingyedianhua": "",  //：营业电话
            "fapiaoxinxiVo.syingyedizhi": "",    //：营业地址
            "fapiaoxinxiVo.syinhangmingcheng": "",//：银行名称
            "fapiaoxinxiVo.syinhangzhanghao": "",//：银行帐号
            "fapiaoxinxiVo.sguojia": "",         //：地址国家
            "fapiaoxinxiVo.ssheng": "",          //：地址省份
            "fapiaoxinxiVo.sshi": "",            //：地址城市
            "fapiaoxinxiVo.squ": "",             //：地址区县
            "fapiaoxinxiVo.skaihuzhihang": "",   //：开户支行
            "moren": "",                         //：是否为默认发票
            "clientType": "1"                    //：1 代表App端口
        }
    },
    getRetrunGoodsList: {
        name: 'getRetrunGoodsList',
        description: '获取退货申请列表',
        url: serverUrl + '/yewu/dingdanguanli/tuihuoguanli/showTuiHuoDanByKeHu.action',
        requestParam: {
            clintType: '1',
            'thisPage.pageNo': "1",
            'thisPage.pageSize': "20",
            "timeSta": "",                  //开始时间,
            "timeEnd": "",                  //结束时间,
            "tuihuodanhao": "",             //订单编码,
            "zhuangtai": ""                 //单据状态
        }
    },
    getRetrunGoodsDetail: {
        name: 'getRetrunGoodsDetail',
        description: '获取退货申请详细信息',
        url: serverUrl + '/yewu/dingdanguanli/tuihuoguanli/xiangQingById.action',
        requestParam: {
            clintType: '1', //代表App客户端
            tuihuodanID: ''
        }
    },
    getChargeApplyList: {
        name: 'getChargeApplyList',
        description: '获取费用申请列表',
        url: serverUrl + '/chanpin/phone/dealers/showFeiYongShenQing.action',
        requestParam: {
            dealersId: "", // dealersId：客户id(kehuid)
            zhuangtai: "", // zhuangtai：单据状态
            pageNum: "1",
            pageSize: "20",
            dateStart: "",  // dateStart：开始时间
            dateEnd: "",    // dateEnd：结束时间
            danjubianma: "", // danjubianma：单据编码
        }
    },
    getChargeApplyDetail: {
        name: 'getChargeApplyDetail',
        description: '获取费用申请详细信息',
        url: serverUrl + '/chanpin/phone/dealers/showFeiYongShenQingById.action',
        requestParam: {
            ID: ""
        }
    },
    submmitChargeApply: {
        name: 'submmitChargeApply',
        description: '费用申请提交',
        url: serverUrl + '/chanpin/yewu/feiyongshenqing/tijiao.action',
        requestParam: {
            thisId: "",
            clientType: "1",
        }
    },
    getRecommendationGoodsList: {
        name: 'getRecommendationGoodsList',
        description: '首页-推荐商品',
        url: serverUrl + '/chanpin/yewu/shangpin/shangpinliebiao/tuijian.action',
        requestParam: {
            clientType: "1",
            "page.pageNo": "1",
            "page.pageSize": "20"
        }
    },
    getGoodsList: {
        name: 'getGoodsList',
        description: '商品列表',
        url: serverUrl + '/chanpin/yewu/shangpin/shangpinliebiao/list.action',
        requestParam: {
            clientType: "1",
            sfenleiid: "",
            type: "",               //商品查询类型（type=2价格降序，type=3商品升序,null=默认排序）
            smingcheng: "",         //商品名称（要查询商品的名称）,
            "page.pageNo": "1",
            "page.pageSize": "20"
        }
    },
    getCuXiaoDetail: {
        name: 'getCuXiaoDetail',
        description: '获取客户商品促销详情',
        url: serverUrl + '/chanpin/yewu/shangpin/shangpinliebiao/getCuxiaoForApp.action',
        requestParam: {
            clientType: "1",
            kehuId: "",//kehuId：客户ID
            thisId: "" // thisId：商品ID
        }
    },
    // getGoodsList: {
    //     name: 'getGoodsList',
    //     description: '商品列表',
    //     url: serverUrl + '/chanpin/phone/dealers/getShangpinBykehu.action',
    //     requestParam: {
    //         dealersId: "",               //客户ID
    //         shangpinfenlei: "",          //商品分类ID
    //         type: "",                    //排序（2：价格降序 3：价格升序）
    //         smingcheng: "",              //商品名称
    //         pageNum: "1",                //当前页数
    //         pageSize: "20",               //每页显示条数
    //         clientType: "1"
    //     }
    // },
    getHotGoodsList: {
        name: 'getHotGoodsList',
        description: '热卖商品',
        url: serverUrl + '/chanpin/yewu/shangpin/shangpinliebiao/hot.action',
        requestParam: {
            clientType: "1",
            "page.pageNo": "1",
            "page.pageSize": "20",
            ssuoshuzuzhi: ""// ssuoshuzuzhi：所属组织
        }
    },
    getCollectionGoodsList: {
        name: 'getCollectionGoodsList',
        description: '我的收藏',
        url: serverUrl + '/chanpin/yewu/shoucang/list.action',
        requestParam: {
            clientType: "1",
            "page.pageNo": "1",
            "page.pageSize": "20"
        }
    },
    getNoticeList: {
        name: 'getNoticeList',
        description: '企业公告',
        url: serverUrl + '/chanpin/yewu/qiyegonggao/findQiyegonggao.action',
        requestParam: {
            clientType: "1",
            "thisPage.pageNo": "1",
            "thisPage.pageSize": "20"
        }
    },
    getNoticeDetail: {
        name: 'getNoticeDetail',
        description: '公告详情',
        url: serverUrl + '/chanpin/phone/dealers/showgonggaoid.action',
        requestParam: {
            ID: "1"                 // ID：公告id
        }
    },
    getCartList: {
        name: 'getCartList',
        description: '购物车列表',
        url: serverUrl + '/chanpin/yewu/gouwuche/list.action',
        requestParam: {
            clientType: "1",
            "page.pageNo": "1",
            "page.pageSize": "20"
        }
    },
    addGoods2Cart: {
        name: 'addGoods2Cart',
        description: '加入购物车',
        url: serverUrl + '/chanpin/yewu/gouwuche/addGwc.action',
        requestParam: {
            // "gouwucheList[i].sshangpinid": "",            //sshangpinid：商品id
            // "gouwucheList[i].ishuliang": "",            // igoumaishuliang :购买数量（起订数量）
            clientType: "1"                             //clientType：1 代表App端
        }
    },
    deleteGoodsFromCart: {
        name: 'deleteGoodsFromCart',
        description: '删除购物车商品',
        url: serverUrl + '/chanpin/yewu/gouwuche/shanchuxuanzhong.action',
        requestParam: {
            thisIds: "",                                            //thisIds：选中的商品ID。以“,”隔开
            clientType: "1"                             //clientType：1 代表App端
        }
    },
    addGoods2Favor: {
        name: 'addGoods2Favor',
        description: '添加或取消收藏',
        url: serverUrl + '/chanpin/yewu/shoucang/mbAddSc.action',
        requestParam: {
            thisId: ""            //sshangpinid：商品id
        }
    },
    getOrderList: {
        name: 'getOrderList',
        description: '订单列表',
        url: serverUrl + '/chanpin/yewu/dingdan/queryDingdan.action',
        requestParam: {
            "clientType": "1",              // 代表App端
            "beginTime": "",                //开始时间,
            "endTime": "",                  //结束时间,
            "dingdan.sdanjubianma": "",     //订单编码,
            "isMoreCondition": "3",         //app端传3
            "sdanjuzhuangtai": "",          //单据状态 00000016001900010001"待审核,00000016001900010002"代发货,00000016001900010004：已完成 DSH:待收货
            "sfukuanzhuangtai": "",          //付款状态 00000016001900020001：未付款,00000016001900020002：部分付款,00000016001900020003：已付款
            "thisPage.pageNo": "1",
            "thisPage.pageSize": "20"
        }
    },
    getOrderDetail: {
        name: 'getOrderDetail',
        description: '订单详情',
        url: serverUrl + '/chanpin/phone/dealers/showddxiangqing.action',
        requestParam: {
            ID: ""                        // ID：订单id
        }
    },
    getOrderDetailSubInfo: {
        name: 'getOrderDetailSubInfo',
        description: '订单详情关联信息',
        url: serverUrl + '/chanpin/phone/dealers/phoneglxinxi.action',
        requestParam: {
            ID: ""                        // ID：订单id
        }
    },
    getOrderPaymentHistory: {
        name: 'getOrderPaymentHistory',
        description: '付款记录',
        url: serverUrl + '/chanpin/phone/dealers/phonefukuanxinxi.action',
        requestParam: {
            ID: ""                        // ID：订单id
        }
    },
    getOrderTransportHistory: {
        name: 'getOrderTransportHistory',
        description: '收发货记录',
        url: serverUrl + '/chanpin/phone/dealers/showshoufahuo.action',
        requestParam: {
            ID: "",                        // ID：订单id
            pageNum: "1",
            pageSize: "20"
        }
    },
    getOrderTransportDetail: {
        name: 'getOrderTransportDetail',
        description: '发货记录明细',
        url: serverUrl + '/chanpin/phone/dealers/shoufahuoxiangxi.action',
        requestParam: {
            ID: "",                         // ID：订单id
            thisId: ""                      //thisId:发运单ID
        }
    },
    confirmTrasport: {
        name: 'confirmTrasport',
        description: '确认收货',
        url: serverUrl + '/chanpin/yewu/fayundan/fydqianshou.action',
        requestParam: {
            clientType: "1"                         //代表App端
            // "fayunshangpinList[i].sid": "",      //发运单ID
            // "fayunshangpinList[i].ishqrsl": ""   //收货确认数量
        }
    },
    getOrderRelatedInfo: {
        name: 'getOrderRelatedInfo',
        description: '订单详情关联信息',
        url: serverUrl + '/chanpin/phone/dealers/phoneglxinxi.action',
        requestParam: {
            ID: ""                              //订单ID
        }
    },
    getAddOrderDefaultInfo: {
        name: 'getAddOrderDefaultInfo',
        description: '订单新增默认信息',
        url: serverUrl + '/chanpin/phone/dealers/getKehuMorenInfo.action',
        requestParam: {
            dealersId: ""                     //客户ID
        }
    },
    getAddOrder: {
        name: 'getAddOrder',
        description: '新增订单',
        url: serverUrl + '/chanpin/yewu/dingdan/saveDingdan.action',
        requestParam: {
            "dingdan.ssuoshuzuzhi": "",//dingdan.ssuoshuzuzhi:所属组织
            "dingdan.sbeizhu": "",                   //备注
            "dingdan.djiaohuoriqi": "",              //交货日期
            "dingdan.sfayunfangshi": "",             //发运方式
            "dingdan.syunshufangshi": "",            //运输方式
            "dingdan.szhifufangshi": "",             //支付方式
            "dingdan.sjisuanfangshi": "",            //结算方式
            "dingdan.ishifoukaifapiao": "",          //是否开发票（0：否 1：是）
            "dingdan.sfapiaoid": "",                 //发票ID
            "dingdan.sdingdanlaiyuan": "",           //订单来源（默认：00000016001900040003）
            "dingdan.iyunfeiheji": "",               //运费
            "kehuId": "",                           //客户ID
            "lianxirenId": "",                       //联系人ID
            "shouhuoId": "",                         //收货ID
            "clientType": "1"                       //1 代表App端
            // "dingdanMingxi[i].ishifouzengpin": "0"  //是否赠品 0：不是赠品
            // "dingdanMingxi[i].shangpinId":"",       //商品ID
            // "dingdanMingxi[i].sshangpinmingcheng":"",//商品名称
            // "dingdanMingxi[i].ishuliang ":""         //商品数量
        }
    },
    getPayType: {
        name: 'getPayType',
        description: '发运方式，支付方式，运输方式,结算方式',
        url: serverUrl + '/chanpin/jichu/shujuzidian/chaxunzidian.action',
        requestParam: {//l000000160013：发运方式字典信息,l000000160031,l000000160032：支付方式字典信息,l000000160010：运输方式字典信息，000000160008结算方式
            ccode: "000000160013,000000160031,000000160032,000000160010,000000160008",
            clientType: "1"                     //代表App端
        }
    },
    getMessageList: {
        name: 'getMessageList',
        desciption: '未读消息，已读消息',
        url: serverUrl + '/chanpin/jichu/tuisong/mblist.action',
        requestParam: {
            sisyidu: '0',    //已读1，未读0
            "thisPage.pageNo": "1",
            "thisPage.pageSize": "20"
        }
    },
    getXinxi: {
        name: 'getXinxi',
        description: '读取消息，并获取消息内容',
        url: serverUrl + '/chanpin/jichu/tuisong/getXinxi.action',
        requestParam: {
            thisId: ''
        }
    },
    getYuEZhiFu: {
        name: 'getYuEZhiFu',
        description: '获取单据支付信息',
        url: serverUrl + '/chanpin/phone/dealers/getFukuanInfo.action',
        requestParam: {
            ID: '', // 客户ID
            dealersId: '' // 订单ID
        }
    },
    fuKuan: {
        name: 'fuKuan',
        description: '付款',
        url: serverUrl + '/chanpin/phone/dealers/fukuan.action',
        requestParam: {
            ID: '', // 订单ID
            type: '' // 支付类型（0000001600180001：预付款0000001600180002：直接付款0000001600180003：余额付款）
        }
    },
    getGoodDetail: {
        name: 'getGoodDetail',
        description: '获取商品详情',
        url: serverUrl + '/chanpin/yewu/shangpin/shangpinliebiao/xiangqing.action',
        requestParam: {
            thisId: '',
            clientType: '1',
        }
    },
    getPaymentType: {
        name: 'getPaymentType',
        description: '过去费用类型',
        url: serverUrl + '/chanpin/jichu/shujuzidian/chaxunzidian.action',
        requestParam: {
            ccode: '000000160011', // 发票类型
            clientType: '1'
        }
    },
    saveChargeApply: {
        name: 'saveChargeApply',
        description: '保存费用申请信息',
        url: serverUrl + '/chanpin/yewu/feiyongshenqing/baocun.action',
        requestParam: {
            'feiyongshenqing.skehuid': '', // 客户ID
            'feiyongshenqing.sid': '', // 单据id（修改时需填写该字段）
            'feiyongshenqing.sfeiyongleixing': '', // 费用类型
            'feiyongshenqing.sbeizhu': '', // 备注信息
            'feiyongshenqing.ijine': '', // 金额
            'feiyongshenqing.dyujifashengshijian': '', // 预计发生日期
            'clientType': '1'
        }
    },
    delChargeApply: {
        name: 'delChargeAllpy',
        description: '删除费用申请信息',
        url: serverUrl + '/chanpin/yewu/feiyongshenqing/shanchu.action',
        requestParam: {
            thisId: '', // 费用单ID
            clientType: '1'
        }
    },
    cancelChargeApply: {
        name: 'cancelChargeApply',
        description: '撤销费用申请信息',
        url: serverUrl + '/chanpin/yewu/feiyongshenqing/cancel.action',
        requestParam: {
            thisId: '', // 费用单ID
            clientType: '1'
        }
    },
    getRecentGoods: {
        name: 'getRecentGoods',
        description: '获取最近商品列表',
        url: serverUrl + '/chanpin/yewu/shangpin/shangpinliebiao/zuijin.action',
        requestParam: {
            clientType: '1',
            'page.pageNo': '1',
            'page.pageSize': '20',
            ssuoshuzuzhi: ''// ssuoshuzuzhi：所属组织
        }
    },
    delOrder: {
        name: 'delOrder',
        description: '删除订单',
        url: serverUrl + '/chanpin/yewu/dingdan/shanchuForApp.action',
        requestParam: {
            thisId: '' // 订单ID
        }
    },
    delMessages: {
        name: 'delMessages',
        description: '删除消息',
        url: serverUrl + '/chanpin/jichu/tuisong/mbDel.action',
        requestParam: {
            thisId: '' // 要删除主键
        }
    },
    getYewutousu: {
        name: "getYewutousu",
        description: "获取业务投诉",
        url: serverUrl + '/chanpin/yewu/fuwuguanli/yewutousu/findAll.action',
        requestParam: {
            danjuzhuangtai: "", //00000001011100070001 未提交， 00000001011100070002 已提交， 00000001011100070003 已处理， 00000001011100070004 已关闭
            "thisPage.pageNo": "1",
            "thisPage.pageSize": "20",
            clintType: "1",
        }
    },
    giveUpComplaint: {
        name: 'giveUpComplaint',
        description: '业务投诉撤销',
        url: serverUrl + '/chanpin/yewu/fuwuguanli/yewutousu/quxiaotijiao.action',
        requestParam: {
            clintType: '1', //代表App客户端
            'thisId': '',//
        }
    },
    addYewutousu: {
        name: 'addYewutousu',
        description: '添加业务投诉',
        url: serverUrl + '/chanpin/yewu/fuwuguanli/yewutousu/baocun.action',
        requestParam: {
            'clintType': '1', //代表App客户端
            'yewutousu.sid': '',
            'yewutousu.stousuleixing': '',
            'yewutousu.stousuduixiang': '',
            'yewutousu.stousufangshi': '',
            'yewutousu.stousuzhaiyao': '',
            'yewutousu.stousuneirong': '',
            'yewutousu.slianxiren': '',
            'yewutousu.slianxirenshouji': '',
            'yewutousu.stousuzhiyuan': ''
        }
    },
    getTousuduixiang: {
        name: 'getTousuduixiang',
        description: '获取投诉对象',
        url: serverUrl + '/chanpin/jichu/shujuzidian/chaxunzidian.action',
        requestParam: {
            ccode: '0000000101110008', // 查询投诉对象
            clientType: '1'
        }
    },
    getTousufangshi: {
        name: 'getTousufangshi',
        description: '获取投诉方式',
        url: serverUrl + '/chanpin/jichu/shujuzidian/chaxunzidian.action',
        requestParam: {
            ccode: '0000000101110005', //查询投诉方式
            clientType: '1' //代表App端口
        }
    },
    getTousuleixing: {
        name: 'getTousuleixing',
        description: '获取投诉类型',
        url: serverUrl + '/chanpin/jichu/shujuzidian/chaxunzidian.action',
        requestParam: {
            ccode: '0000000101110006', //查询投诉类型
            clientType: '1' //代表App端口
        }
    },
    getTousuxiangqing: {
        name: 'getTousuxiangqing',
        description: '获取投诉详情',
        url: serverUrl + '/chanpin/yewu/fuwuguanli/yewutousu/xiangqing.action',
        requestParam: {
            clintType: 1,
            thisId: '' //主键
        }
    },
    delTousu: {
        name: 'delTousu',
        description: '删除投诉',
        url: serverUrl + '/chanpin/yewu/fuwuguanli/yewutousu/shanchu.action',
        requestParam: {
            thisId: '' //主键
        }
    },
    submitTousu: {
        name: 'submitTousu',
        description: '提交投诉',
        url: serverUrl + '/chanpin/yewu/fuwuguanli/yewutousu/tijiao.action',
        requestParam: {
            thisId: '' //主键
        }
    },
    getTousuGuanlianxinxi: {
        name: 'getTousuGuanlianxinxi',
        description: '投诉关联信息',
        url: serverUrl + '/chanpin/phone/dealers/phoneglxinxi.action',
        requestParam: {
            ID: '' //主键
        }
    },
    addFuwu: {
        name: 'addFuwu',
        description: '新增/修改服务请求',
        url: serverUrl + '/yewu/fuwuguanli/fuwuqingqiu/saveFuWu.action',
        requestParam: {
            clintType: '1',
            'fuwu.sid': '', //主键ID,
            'fuwu.sfuwuchanpinid': '', //产品ID
            'fuwu.sfuwuchanpin': '', //产品名称
            'fuwu.szhongyaochengdu': '', //重要程度
            'fuwu.syuyuechulifangshi': '', //预约处理方式
            'fuwu.dyuyuechulishijian': '', //预约处理时间
            'fuwu.sxiangxiqingkuang': '', //详细情况
            'fuwu.slianxiren': '', //联系人
            'fuwu.slianxirendianhua': '' //联系人电话
        }
    },
    getFuwuzhongyaochengdu: {
        name: 'getFuwuzhongyaochengdu',
        description: '重要程度',
        url: serverUrl + '/chanpin/jichu/shujuzidian/chaxunzidian.action',
        requestParam: {
            ccode: '000000010112', //查询投诉对象
            clientType: '1' // 代表App端口
        }
    },
    getFuwuchulifangshi: {
        name: 'getFuwuchulifangshi',
        description: '预约处理方式',
        url: serverUrl + '/chanpin/jichu/shujuzidian/chaxunzidian.action',
        requestParam: {
            ccode: '000000160036', // 查询投诉对象
            clientType: '1' // 代表App端口
        }
    },
    getFuwulist: {
        name: 'getFuwulist',
        description: '服务请求列表',
        url: serverUrl + '/yewu/fuwuguanli/fuwuqingqiu/findAllByMh.action',
        requestParam: {
            'fuwu.sdanjuzhuangtai': '', //单据状态 0000000100020001 未审核， 0000000100020002 已审核， 0000000100020006 审核中， 0000000100020009 驳回
            'thisPage.pageNo': '1', //页数
            'thisPage.pageSize': '20', // 每页显示条目数
            clintType: '1' //代表App客户端
        }
    },
    getEmployeeList: {
        name: 'getFuwurenyuan',
        description: '获取服务人员',
        url: serverUrl + '/chanpin/phone/dealers/getZhiyuan.action',
        requestParam: {
            'thisPage.pageNo': '1', //页数
            'thisPage.pageSize': '20', // 每页显示条目数
        }
    },
    getServiceRequestDetail: {
        name: 'getServiceRequestDetail',
        description: '服务请求详情',
        url: serverUrl + '/yewu/fuwuguanli/fuwuqingqiu/showFuWu.action',
        requestParam: {
            clintType: '1',
            'fuwu.sid': ''
        }
    },
    delServiceRequest: {
        name: 'delServiceRequest',
        description: '删除服务请求',
        url: serverUrl + '/yewu/fuwuguanli/fuwuqingqiu/delFuwuMh.action',
        requestParam: {
            'fuwu.sid': '',
        }
    },
    getServiceRequestRelated: {
        name: 'getServiceRequestRelated',
        description: '服务请求关联信息',
        url: serverUrl + '/chanpin/phone/dealers/phoneglxinxi.action',
        requestParam: {
            ID: ''
        }
    },
    addReturnGoods: {
        name: 'addReturnGoods',
        description: '添加退货单',
        url: serverUrl + '/yewu/dingdanguanli/tuihuoguanli/baoCunTuiHuoDan.action',
        requestParam: {
            clintType: '1', //代表App客户端
            'tuihuodan.sid': '', // ID
            'tuihuodan.stuihuoyuanyin': '', //退货原因
            'tuihuodan.ijineheji': '' //退货金额合计
            // 换货：
            // huanhuoMingxi[i].sshangpinid:商品ID
            // huanhuoMingxi[i].ishuliang:数量
            // huanhuoMingxi[i].ichengjiaojia：成交价
            // huanhuoMingxi[i].isfjine：实付金额
        }
    },
    getRelatedInfo: {
        name: 'getRelatedInfo',
        description: '关联信息',
        url: serverUrl + '/chanpin/phone/dealers/phoneglxinxi.action',
        requestParam: {
            ID: ''
        }
    },
    delTuiguodanju: {
        name: 'delTuiguodanju',
        descirption: '删除退货单据',
        url: serverUrl + '/yewu/dingdanguanli/tuihuoguanli/shanChuTuiHuoDan.action',
        requestParam: {
            tuihuodanID: ''//退货单ID
        }
    },
    cancelTuiguodanju: {
        name: 'cancelTuiguodanju',
        descirption: '撤销退货单据',
        url: serverUrl + '/yewu/dingdanguanli/tuihuoguanli/chexiao.action',
        requestParam: {
            thisId: ''//退货单ID
        }
    },
    getTransportInfo: {
        name: 'getTransportInfo',
        descirption: '查询物流信息',
        url: serverUrl + '/yewu/dingdanguanli/tuihuoguanli/chaxunthfy.action',
        requestParam: {
            thisId: ''//退货单ID
        }
    },
    saveTrasportInfo: {
        name: 'saveTrasportInfo',
        descirption: '保存物流信息',
        url: serverUrl + '/yewu/dingdanguanli/tuihuoguanli/baocunthfy.action',
        requestParam: {
            "thfy.sguanlianid": '',// thfy.sguanlianid:退货id
            "thfy.sid": '',// thfy.sid:发运信息id
            "thfy.smingcheng": '',// thfy.smingcheng：承运商名称
            "thfy.syundanhao": '',// thfy.syundanhao：运单号
            "thfy.iyunfei": ''// thfy.iyunfei：运费
        }
    },
    toggleUsingInvoice: {
        name: 'toggleUsingInvoice',
        description: '停用发票信息',
        url: serverUrl + '/chanpin/phone/dealers/updateFpZhuangtai.action',
        requestParam: {
            thisId: ''//主键
        }
    },
    getYunjia: {
        name: 'getYunjia',
        description: '获取运费',
        url: serverUrl + '/chanpin/yewu/dingdan/getYunjia.action',
        requestParam: {
            shouhuoId: '', //收货人id
            // dingdanMingxi ：订单明细（list）
            // 'dingdanMingxisshangpinid': '', //商品id
            // dingdanMingxi.ishuliang:数量
        }
    },
    getChongZhizhanghu: {
        name: 'getChongZhizhanghu',
        description: '获取充值账户',
        url: serverUrl + '/chanpin/phone/dealers/getFukuanzhanghu.action',
        requestParam: {}
    },
    getBanner: {
        name: 'getBanner',
        description: '获取广告图片',
        url: serverUrl + '/jichu/meiti/gglist.action',
        requestParam: {
            clintType: '1'
        }
    },
    getUserPhoto: {
        name: 'getUserPhoto',
        description: '获取客户头像',
        url: serverUrl + '/chanpin/yewu/kehu/kehujibenxinxi/touxiang.action',
        requestParam: {
            clientType: '1',
            thisId: ''//联系人ID
        }
    },
    getBrands: {
        name: 'getBrands',
        description: '获取品牌列表',
        url: serverUrl + '/chanpin/jichu/shujuzidian/chaxunzidian.action',
        requestParam: {
            clientType: '1',
            ccode: '000000160038'//查询品牌
        }
    },
    getGoodsProps: {
        name: 'getGoodsProps',
        description: '查询商品筛选条件',
        url: serverUrl + '/chanpin/yewu/shangpin/shangpinliebiao/getShuxing.action',
        requestParam: {
            clientType: '1',
            pinpaiCode: ''//品牌代码
        }
    },
    getDynamicPrice: {
        name: 'getDynamicPrice',
        description: '获取动态商品价格',
        url: serverUrl + '/chanpin/phone/dealers/getSpjiagecelue.action',
        requestParam: {
            thisId: '',//商品ID
            shuliang: ''//商品数量
        }
    },
    getSpcuxiaomingxi: {
        name: 'getSpcuxiaomingxi',
        description: '下单获取商品价格和促销',
        url: serverUrl + '/chanpin/phone/dealers/getSpcuxiaomingxi.action',
        requestParam: {
            dealersId: '',// dealersId：客户ID
            // shangpinList[i].shangpinId:商品ID
            // shangpinList[i].ifuzhushuliang:辅助数量
        }
    },
    getAllZhishi: {
        name: 'getAllZhishi',
        description: '查询知识中心列表',
        url: serverUrl + '/chanpin/yewu/zhishizhongxin/getAllZhishi.action',
        requestParam: {
            ssuoshuzuzhi: '',
            cxtj: '',
            'thisPage.pageNo': "1",
            'thisPage.pageSize': "20"
        }
    },
    getZhishiById: {
        name: 'getZhishiById',
        description: '获取知识中心列表',
        url: serverUrl + '/chanpin/yewu/zhishizhongxin/getZhishiById.action',
        requestParam: {
            thisId:''
        }
    }
};

function getDiaplayGoodImageurl(slujing, scunchumingcheng) {
    var imgUrl = "../../image/nophoto.png";
    if (slujing && scunchumingcheng && $api.getStorage('displayGoodImage') == 1) {
        imgUrl = serverUrl + slujing + scunchumingcheng;
    }
    return imgUrl;
}

/**
 * setRequestStorage
 * 记忆接口请求参数
 * @param apiName 接口名称
 */
function setRequestStorage(apiName) {
    $api.setStorage(apiName, APIs[apiName].requestParam);
}

/**
 * getRequestStorage
 * 获取记忆的接口请求参数
 * @param apiName 接口名称
 */
function getRequestStorage(apiName) {
    return $api.getStorage(apiName);
}

/**
 * clearRequestStorage
 * 清除记忆的接口请求参数
 * @param apiName 接口名称
 */
function clearRequestStorage(apiName) {
    $api.rmStorage(apiName);
}

/**
 * clearAllRequestStorage
 * 清除所有记忆的接口请求参数
 */
function clearAllRequestStorage() {
    for (key in APIs) {
        $api.rmStorage(APIs[key].name);
    }
}

/**
 * setRequestStorage
 * 记忆接口返回参数
 * @param apiName 接口名称
 * @param datas 接口名称
 */
function setResponseStorage(apiName, datas) {
    $api.setStorage(apiName + "_response", datas);
}

/**
 * getRequestStorage
 * 获取记忆的接口返回参数
 * @param apiName 接口名称
 */
function getResponseStorage(apiName) {
    return $api.getStorage(apiName + "_response");
}

/**
 * clearRequestStorage
 * 清除记忆的接口返回参数
 * @param apiName 接口名称
 */
function clearResponseStorage(apiName) {
    $api.rmStorage(apiName + "_response");
}

/**
 * clearAllRequestStorage
 * 清除所有记忆的接口返回参数
 */
function clearAllResponseStorage() {
    for (key in APIs) {
        $api.rmStorage(APIs[key].name + "_response");
    }
}

/**
 * requestDatas(url, param)
 * ajax网络请求
 * @param url 网址
 * @param param 请求参数
 * @returns {string} 返回的结果
 */
function requestDatas(url, param, success) {
    if (typeof param == 'string') {
        param = JSON.parse(param);
    }
    // debugMsgReq(url+"@"+JSON.stringify(param));
    jQuery.ajax({
        url: url,
        type: "post",
        async: true,
        timeout: "20000",
        data: param,
        beforeSend: function () {
            api.showProgress();
        },
        complete: function () {
            api.hideProgress();
            api.refreshHeaderLoadDone();
        },
        success: function (data) {
            // debugMsgRsp(JSON.stringify(data));
            debugMsg("请求路径###：\n" + url + "\n请求参数###：\n" + JSON.stringify(param) + "\n响应结果###：\n" + JSON.stringify(data));
            if (data != 'error') {
                var result = "";
                if (data != "none") {
                    result = data;
                }
                if (success) {
                    success(result);
                }
            } else {
                if (url != url_getImage) {
                    api.toast({msg: data});
                }
            }
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            api.toast({msg: '抱歉，请稍后再试'});
        }
    });
}

/**
 * 调试信息
 * @param msg
 */
function debugMsg(msg) {
    if (debugMode) {
        api.alert({
            msg: msg
        });
        console.log(msg);
    }
}

function debugMsgRsp(msg) {
    if (debugMode) {
        api.alert({
            msg: '已返回：' + msg
        });
        console.log('已返回：' + msg);
    }
}

function debugMsgReq(msg) {
    if (debugMode) {
        api.alert({
            msg: '将发送：' + msg
        });
        console.log('将发送：' + msg);
    }
}

function openWindow(name, path, param) {
    api.openWin({
        name: name,
        url: path,
        animation: {
            type: "none"
        },
        pageParam: {
            param: param
        },
        reload: true,
        rect: {
            x: 0,
            y: 0,
            w: 'auto',
            h: 'auto'
        },
        bounces: false
    });
}

function closeWinByDelay(win) {
    setTimeout("close(" + win + ")", 300);
}

function closeWinImmediate(win) {
    close(win);
}

function close(win) {
    api.closeWin({
        name: win,
        animation: {
            type: "none"
        }
    });
}

function closeToWindow(win) {
    api.closeToWin({
            name: win,
            animation: {
                type: "none"
            }
        }
    );
}

function stopEventChain() {
    var e = arguments.callee.caller.arguments[0] || window.event;
    window.event ? e.cancelBubble = true : e.stopPropagation();
}

function call(number) {
    if (!number) {
        number = "";
    }
    api.prompt({
        title: "请输入电话号码",
        text: number,
        buttons: ["打电话", "发短信", "取消"]
    }, function (ret, err) {
        var numer = ret.text || "";

        if (1 == ret.buttonIndex) {
            api.call({
                number: numer
            });
        }

        if (2 == ret.buttonIndex) {
            api.sms({
                numbers: [numer],
                text: ""
            });
        }
    });
    stopEventChain();
}

Date.prototype.Format = function (fmt) {
    var o = {
        "M+": this.getMonth() + 1,                 //月份
        "d+": this.getDate(),                    //日
        "h+": this.getHours(),                   //小时
        "m+": this.getMinutes(),                 //分
        "s+": this.getSeconds(),                 //秒
        "q+": Math.floor((this.getMonth() + 3) / 3), //季度
        "S": this.getMilliseconds()             //毫秒
    };
    if (/(y+)/.test(fmt))
        fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
    for (var k in o)
        if (new RegExp("(" + k + ")").test(fmt))
            fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
    return fmt;
};

//选择日期
function showDatePicker(callback) {
    api.openPicker({
        type: 'date',
        date: 'yyyy-MM-dd HH:mm',
        title: '选择时间'
    }, function (ret, err) {
        var date;
        if (ret) {
            date = new Date(ret.year, ret.month - 1, ret.day).Format("yyyy-MM-dd");
            callback(date);
        } else {
            alert(JSON.stringify(err));
        }
    });
}

//选择时间
function showTimePicker(callback) {
    api.openPicker({
        type: 'time',
        date: 'yyyy-MM-dd HH:mm',
        title: '选择时间'
    }, function (ret, err) {
        var time;
        if (ret) {
            time = new Date(ret.year, ret.month - 1, ret.day, ret.hour, ret.minute, 0).Format("hh:mm");
            callback(time);
        } else {
            alert(JSON.stringify(err));
        }
    });
}

//选择日期和时间
function showDateTimePicker(callback) {
    api.openPicker({
        type: 'date',
        date: 'yyyy-MM-dd HH:mm',
        title: '选择时间'
    }, function (ret, err) {
        if (ret) {
            api.openPicker({
                type: 'time',
                date: ret.year + '-' + ret.month - 1 + '-' + ret.day + ' ' + ret.hour + ':' + ret.minute,
                title: '选择时间'
            }, function (ret2, err) {
                var dateTime;
                if (ret2) {
                    dateTime = new Date(ret.year, ret.month - 1, ret.day, ret2.hour, ret2.minute, 0).Format("yyyy-MM-dd hh:mm");
                    callback(dateTime);
                } else {
                    alert(JSON.stringify(err));
                }
            });
        } else {
            alert(JSON.stringify(err));
        }
    });
}

function graceStr(str) {
    if (str == "" || str == null || str == undefined) {
        return "";
    } else {
        return str;
    }
}

var eventList = {
    orderDetailRefresh: 'orderDetailRefresh'
}

/**
 * trans2TreeDate(orgList, orgIdStr, orgPidStr, orgText)
 * 将数据转换成bootstrap-tree需要的数据结构
 * @param orgList 数组
 * @param orgIdStr 源节点ID字段名
 * @param orgPidStr 源父节ID字段名
 * @param orgText 源节点名称
 * @returns {Array}
 */
function trans2TreeData(orgList, orgIdStr, orgPidStr, orgText) {
    var templist = [];
    for (i = 0; i < orgList.length; i++) {
        var t = {};
        t.id = orgList[i][orgIdStr];
        t.pid = orgList[i][orgPidStr];
        t.text = orgList[i][orgText];
        t.tags = [">"];
        templist.push(t);
    }

    var result = [], temp = {};
    for (i = 0; i < templist.length; i++) {
        temp[templist[i].id] = templist[i];
    }
    for (j = 0; j < templist.length; j++) {
        tempP = temp[templist[j].pid];
        if (tempP) {
            !tempP['nodes'] && (tempP['nodes'] = []);
            tempP['nodes'].push(templist[j]);
        } else {
            result.push(templist[j]);
        }
    }
    return result;
}

function isNull(data) {
    return data == 'none' || data == null || data == "";
}

/**
 * Bundle对象:页面之间传递数据的媒介
 */
var Bundle = {
    thisWinName: "",        //窗口名称
    thisFrmName: "",        //页面名称
    callbackFunName: "",    //回调函数名称
    data: {}                //数据
};

var cuXiaoClassMapping = {
    '001': 'label-dazhe',
    '002': 'label-mamjian',
    '003': 'label-yikoujia',
    '004': 'label-manzeng',
};

// function afterYesterday(date) {
//     var yesterday = new Date();
//     yesterday.setDate(yesterday.getDay() - 1);
//     return date > yesterday;
// }
function afterYesterday(date) {
    var c = new Date();
    var ct = c.getTime() - c.getHours() * 3600000;
    return date.getTime() > ct;
}

var permissions = [
    {
        model: '代客下单',
        caidanID: '8abc81c0599fc75801599fc95ed90001',
        gongnengdianID: '',
        hasPermisson: false
    },
    {
        model: '订单管理',
        caidanID: '8abc81c0599fc75801599fc95ed90001',
        gongnengdianID: '',
        hasPermisson: false
    },
    {
        model: '退货管理',
        caidanID: '8abc81ba59b5e63a0159b5f0d34b0001',
        gongnengdianID: '',
        hasPermisson: false
    },
    {
        model: '费用管理',
        caidanID: '8abc81ab59af05160159af0a0c820001',
        gongnengdianID: '',
        hasPermisson: false
    },
    {
        model: '服务请求',
        caidanID: '8abc81ba5b27197a015b271fac7b0001',
        gongnengdianID: '',
        hasPermisson: false
    },
    {
        model: '服务派工',
        caidanID: '8abc81ba5b555e68015b55a2eedb0005',
        gongnengdianID: '',
        hasPermisson: false
    },
    {
        model: '业务投诉',
        caidanID: '8abc81b55b69ffdb015b6a143ec80001',
        gongnengdianID: '',
        hasPermisson: false
    },
    {
        model: '客户账户',
        caidanID: '8abc81ab59aa1e2f0159aa1fbe640001',
        gongnengdianID: '',
        hasPermisson: false
    },
    {
        model: '公告',
        caidanID: '8abc81b85a3a281a015a3b2d78450002',
        gongnengdianID: '',
        hasPermisson: false
    },
    {
        model: '协同',
        caidanID: '402880825d5f2354015d5f280b360001',
        gongnengdianID: '',
        hasPermisson: false
    }
];

function checkPermission(modelName) {
    var permissions = $api.getStorage("dxdmsqyd_permissions");
    if (isNull(permissions) || permissions.length == 0) return false;
    for (i = 0; i < permissions.length; i++) {
        if (permissions[i].model == modelName) {
            return permissions[i].hasPermisson;
        }
    }
    return false;
}

function getGongnengdianID(modelName) {
    var permissions = $api.getStorage("dxdmsqyd_permissions");
    if (isNull(permissions) || permissions.length == 0) return '';
    for (i = 0; i < permissions.length; i++) {
        if (permissions[i].model == modelName) {
            return permissions[i].gongnengdianID;
        }
    }
    return '';
}
